@charset "UTF-8";
@import url("https://fonts.googleapis.com/css?family=Roboto:400,500,700");

:root{
    --color1-rgb:'';
    --color1: #2092d0;
    --color2: #faae2c;
    --color3: #FF6200;
    --text-color: #1F4879;
}
.text-color-1{color: var(--color1);}
.text-color-2{color: var(--color2);}
.text-color-3{color: var(--color3);}

body{color: var(--text-color);}
.home-page .main-header{
    padding: 20px 0 80px;
    background: linear-gradient(180deg, #000a, #0006 60%, #0000);
    position: fixed;top: 0;left: 0;right: 0; z-index: 10;
    transition: all 0.5s;
    box-shadow: none;
}
/* Default: not fixed */
.main-header {
    position: relative;
    background: #fff; padding: 5px 0; box-shadow: 0px 1px 15px #3333;
}
header.main-header ul.main-menu li:not(.active) a { color: #000;}

.container-fluid{padding-left: 50px; padding-right: 50px;}
.logo-bar{display: flex; justify-content: space-between; align-items: center;}
.logo-bar .logo{
    display: block;
    height: 90px;
    width: 202px;
    background: url(../images/upms-logo.png) no-repeat left center;
    background-size: contain;
}
.logo-bar .logo-ocac{
    display: block;
    height: 90px;
    width: 202px;
    background: url(../images/ocac-logo.png) no-repeat left center;
    background-size: contain;
}

ul.main-menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 5px;
}
ul.main-menu li a{
    display: block;text-decoration: none;color: #fff;
    font-size: 1rem;padding: 5px 10px;text-transform: uppercase;
    letter-spacing: 1px;font-weight: 500;
    transition: all 0.3s;
}
ul.main-menu li:not(.active) a:hover {
    transform: scale(1.2);
    text-shadow: 0px 10px 3px #000;
}
ul.main-menu li.active a{color: var(--color2)}

ul.main-menu ul{position: absolute; opacity: 0; pointer-events: none;}

.right-links {
    display: flex;
    gap: 10px;
}
.right-links a img{transition: all 0.3s; }
.right-links a:hover img{transform: scale(1.1) translateY(-5px); box-shadow: 0px 10px 8px #000;}

.main-slider .item{height: 100vh;}
.main-slider .item .img{height: 100%; width: 100%; object-fit: cover;}
.main-slider .item.slick-slide img{transition: all 8s;}
.main-slider .item.slick-slide.slick-current img{transform: scale(1.2);}
.main-slider .slick-arrow {
    position: absolute;
    z-index: 10;
    left: 10px;
    width: 40px;
    line-height: 100px;
    background: #fff4;
    text-align: center;
    color: #fff;
    top: 50%;
    font-size: 22px;
    cursor: pointer;
    transition: all 0.3s;
}
.main-slider .slick-arrow.next{left: auto; right: 10px;}
.main-slider .slick-arrow:hover{transform: scale(1.2);}
.main-header.sticky { background: #fff; padding: 5px 0; box-shadow: 0px 1px 15px #3333;}
.home-page header.main-header ul.main-menu li:not(.active) a { color: #ffffff;}
.home-page header.main-header.sticky ul.main-menu li:not(.active) a { color: #000;}

.ministers{position: relative; overflow: hidden;}
.ministers-slider{}
.ministers-slider img{max-width: 100%; max-height: 300px;}
.ministers-slider .item-text {
    line-height: 1.8;
    font-size: 1.2rem;
    text-align: justify;
    text-justify: inter-word;
}
.ministers-slider .item-text h5{color: var(--color3);}
.ministers-slider .item-text h5 small{display: block; color: var(--color1); font-size: 75%; margin-top: 7px;}

.ministers .minister-bg-1, .ministers .minister-bg-2{position: absolute; z-index: -1; top: 0; right: 0; bottom: 0; left: 0; overflow: hidden;}
.ministers .minister-bg-1 img{height: 100%; width: 100%; object-fit: cover; opacity: 0.06; animation: bg-float 15s infinite;}
.ministers .minister-bg-2{text-align: right; transform: translateX(150px);}
.ministers .minister-bg-2 img{height: 100%; opacity: 0.2; animation: rotate 30s linear infinite;}
.ministers .item .img{transform: translateY(100%); transition: all 1s;}
.ministers .slick-active .img{transform: translateY(0);}

.slick-dots{margin: 0; padding: 0; list-style: none; display: flex; justify-content: center; gap: 5px;}
.slick-dots li{width: 10px; height: 10px; border-radius: 50%; background-color: #777;}
.slick-dots li.slick-active{background-color: var(--color3);}
.slick-dots li button{display: none;}

h3.title{display: inline-block; position: relative; padding-bottom: 10px; margin-bottom: 20px; font-weight: 700; color: var(--color1);}
/* h3.title::before{
    content: ''; display: block; height: 2px; background-color: var(--color1);
    position: absolute; width: 100%; bottom: 2px; right: -10px;
}
h3.title::after{
    content: ''; display: block; height: 2px; background-color: var(--color3);
    position: absolute; width: 100%; bottom: -1px; right: 5px;
} */
.client {
    height: 100%;
    background: #f0f0f0;
    display: flex;
    align-items: center;
    padding: 5px;
    border-left: 4px solid var(--color2);
}

.photo-slider{}
.photo-slider .item{position: relative; display: flex; align-items: center; justify-content: center; width: 480px; height: 480px;}
/* .photo-slider .item:before{
    content: ''; display: block;
    position: absolute; z-index: -1; 
    width: 380px; max-width: 100%; height: 400px;
    background-color: #FFC90D;
    border-radius: 15%;
    transition: all 0.5s;
} */
.photo-slider .item.slick-active:before{transform: rotate(-7deg); transform-origin: 0% 100%;}
/* .photo-slider .item img{
    position: relative; z-index: 1;
    width: 380px; max-width: 100%; height: 400px;
    border-radius: 15%;
    object-fit: cover;
    border: 8px solid #0f0d34;
    box-shadow: 0px 0px 10px #fff9, 0px 0px 5px #000 inset;
} */

.photo-slider .item img{
    position: relative; z-index: 1;
    width: 380px; max-width: 100%; height: 400px;
    border-radius: 15%;
    object-fit: cover;
    border: 4px solid #0f0d34;
    box-shadow: 0px 0px 10px #fff9, 0px 0px 5px #000 inset;
}

.news-section{
    /* background: url(../images/news/news-bg.jpg) no-repeat center; background-size: cover; */
    background: linear-gradient(
        to right,
      rgba(15, 23, 42, 0.7),
      rgba(15, 23, 42, 0.7)
    ), url(../images/stats-bg.jpg) no-repeat center; background-size: cover;
}
ul.news-ticker{
    margin: 0; padding: 0; list-style: none; line-height: 2;
    overflow: hidden;
    height: 460px;
    color: white;
}
ul.news-ticker li{
    padding: 15px 20px;
    display: flex;
    align-items: start;
    gap: 10px;
    
}
ul.news-ticker li:before {
    content: '\f101';
    font-family: 'priyafonts';
    display: inline-block;
    font-size: 120%;
    line-height: 160%;
}
ul.news-ticker li a{text-decoration: none; line-height: 1.8; text-align: justify; text-justify: inter-word; color: white;}

.gallery-banner .item{padding: 15px;}
.gallery-banner .item img{width: 100%; height: 100%; object-fit: cover; border-radius: 15px;}
/* .gallery-banner .slick-dots{margin: 0; padding: 0; display: flex; align-items: center;} */
.get-app{background: url(../images/wave.png) no-repeat center; background-size: 100%; animation: waveZoom 20s ease-in-out infinite;}
.get-app .mobile{animation: float 8s ease-in-out infinite;}

.hover-btn {border-radius: 20px; transition: all 0.3s;}
.hover-btn:hover {
    transform: scale(1.05) translateY(-5px);
    box-shadow: 0px 10px 8px #0009;
}

.analytics{
    background: #f3d5b9;
    padding: 30px;
    border-radius: 10px;
}

.table-sticky-header{max-height: 80vh; overflow: auto;}
.table-sticky-header table thead{ background-color: #fff;}
.table-sticky-header table thead tr:first-child th{position: sticky; top:0; z-index: 1;}
.table-sticky-header table thead tr:nth-child(2) th{position: sticky; top:43px; z-index: 1;}

footer.main-footer {
    background: #0f172a;
    padding: 10px 0;
    font-size: 85%;
}
footer.main-footer .copyright { color: #fff; }
.foot-menu { display: flex; gap: 20px; }
.foot-menu a{ text-decoration: none; color: #fff; }
.foot-menu a:hover{ text-decoration: underline; }

@keyframes bg-float{
    0%, 100%{transform: scale(1) translateX(1px);}
    40%{transform: scale(1.2) translateX(20px);}
    80%{transform: translateX(-20px);}
}
@keyframes rotate{
    0%{transform: rotate(0deg) scale(1.2);}
    100%{transform: rotate(360deg) scale(1.2);}
}
@keyframes waveZoom{
    0%, 100%{background-size: 100%;}
    50%{background-size: 110%;}
}
@keyframes float{
    0%, 100%{transform: translateY(30px);}
    50%{transform: translateY(-30px);}
}
.nav-tabs {
    border: none;
    gap: 10px;
}

.nav-tabs .nav-link {
    border: none;
    border-radius: 30px;
    padding: 10px 25px;
    background: #f0f2f5;
    color: #444;
    font-weight: 500;
    transition: all 0.3s ease;
}

.nav-tabs .nav-link:hover {
background: #e0e7ff;
color: #1e40af;
}
.nav-tabs .nav-link.active {
    background: linear-gradient(135deg, #6366f1, #3b82f6);
    color: #fff !important;
    font-weight: 600;
    box-shadow: 0 4px 12px rgba(99, 102, 241, 0.3);
}

#languageBtn {
    color: #fff;
    margin-top: 20px;
    border: 1px solid;
    background: #0008;
    padding: 2px 15px;
}

#languageBtn:hover {
    transform: translate(-1px, -2px);
    box-shadow: 1px 3px 5px #0006;
}
header.main-header.sticky #languageBtn {color: #000; background-color: #fff8;}

/*submenu works*/
ul.main-menu li.has-submenu {
    position: relative;
}

ul.main-menu li.has-submenu .submenu {
    position: absolute;
    left: 0;
    top: 100%;       
    min-width: 200px;
    opacity: 0;
    visibility: hidden;
    transform: translateY(5px);
    /*transition: opacity 0.2s ease, transform 0.2s ease;
    background: #ffffff3e;*/
    background: white;
    pointer-events: none; 
    
}

ul.main-menu li.has-submenu:hover .submenu {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
    pointer-events: auto;
    padding: 0 0 0 12px;
    z-index: 100;
    background: #fff;
    box-shadow: 3px 10px 10px #000;
    border-radius: 0 10px 10px 10px;
}

ul.main-menu li.has-submenu .submenu li a {
    padding: 8px 15px;
    display: block;
    color: #0b0101 !important;
}
.home-page ul li.has-submenu:hover > a {
    background: #fff;
    color: #000 !important;
    border-radius: 10px 10px 0 0;
    text-shadow: none !important;
    transform: none !important;
}
.home-page ul li.has-submenu:hover > ul {
    background: #fff;
    color: #000 !important;
    border-radius: 0 10px 10px 10px;
}

ul.main-menu li.has-submenu .submenu li a:hover {
    color: var(--color2);
    text-shadow: none !important;
}
/*submenu works*/

/*white text cm photo*/
.cm-image {
    width: 240px;
    height: 85px;
    background-repeat: no-repeat;
    background-size: contain;
}

/* Default images */
html[lang="en"] .cm-image {
    background-image: url('../images/cm_header_ew.png');
}

html[lang="od"] .cm-image {
    background-image: url('../images/cm_header_ow.png');
}

/* Sticky images */
.home-page header.main-header.sticky html[lang="en"] .cm-image,
html[lang="en"] header.main-header.sticky .cm-image {
    background-image: url('../images/cm_header_eb.png');
}

.home-page header.main-header.sticky html[lang="or"] .cm-image,
html[lang="od"] header.main-header.sticky .cm-image {
    background-image: url('../images/cm_header_ob.png');
}

.inner-page header.main-header html[lang="en"] .cm-image,
html[lang="en"] .inner-page header.main-header .cm-image {
    background-image: url('../images/cm_header_eb.png');
}

.inner-page header.main-header html[lang="or"] .cm-image,
html[lang="od"] .inner-page header.main-header .cm-image {
    background-image: url('../images/cm_header_ob.png');
}

/*.home-page header.main-header html[lang="en"] .cm-image,
html[lang="en"] header.main-header .cm-image {
    background-image: url('../images/cm_header_w_english.png');
}

.home-page header.main-header html[lang="or"] .cm-image,
html[lang="od"] header.main-header .cm-image {
    background-image: url('../images/cm_header_w_odia.png');
}*/
/*black text cm photo*/

/*footer ocac css*/
.footer-center {
    flex: 1;
    text-align: center;
    margin-right: 270px;
}

.project-stats{
    height: 480px;
    background: linear-gradient(
        to right,
      rgba(15, 23, 42, 0.7),
      rgba(15, 23, 42, 0.7)
    ), url(../images/stats-bg.jpg) no-repeat center; background-size: cover;
    justify-content: center;
    display: flex;
    flex-direction: column;
}

.discover-btn {
    background: linear-gradient(135deg, var(--color3), var(--color2));
    border: none;
    color: #000;
    padding: 10px 20px;
    border-radius: 30px;
    font-weight: 600;
    box-shadow: 0 4px 12px rgba(250, 174, 44, 0.3);
    transition: all 0.3s ease;
}

.discover-btn:hover {
    background: linear-gradient(135deg, var(--color3), var(--color2));
    transform: scale(1.02);
}

.stats-table{
    overflow: hidden;
    border-radius: 20px;
    
}

.table *{
    padding: 0.6rem !important;
}




/*footer ocac css*/
